%define		php_min_version 5.3.7
Summary:	Eventum SCM integration
Summary(pl.UTF-8):	Integracja SCM dla Eventum
Name:		eventum-scm
Version:	3.2.1
Release:	1
License:	GPL v2+
Group:		Networking/Utilities
Source0:	https://github.com/eventum/scm/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2a61b49fddd045ef4600641042cf2efe
Patch0:		paths.patch
URL:		https://github.com/eventum/scm
BuildRequires:	/usr/bin/php
BuildRequires:	php(core) >= %{php_min_version}
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.654
BuildRequires:	sed >= 4.0
Requires:	php(core) >= %{php_min_version}
Requires:	php(json)
Requires:	php(pcre)
Requires:	php(spl)
Suggests:	cvs
Suggests:	git-core
Suggests:	php(openssl)
Suggests:	subversion
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/lib

%description
This feature allows your software development teams to integrate your
Source Control Management system with your Issue Tracking System.

The integration is implemented in such a way that it will be forward
compatible with pretty much any SCM system, such as CVS.

For installation see
</eventum/help.php?topic=scm_integration_installation>.

%description -l pl.UTF-8
Ten pakiet pozwala zespołom programistów na integrację systemu
zarządzania źródłami (SCM - Source Control Management) z systemem
śledzenia spraw.

Integracja jest zaimplementowana tak, aby być kompatybilna w przód z
prawie każdym systemem SCM, jak np. CVS.

Szczegóły na temat instalacji można przeczytać pod
</eventum/help.php?topic=scm_integration_installation>.

%prep
%setup -qc
mv scm-*/* .
%patch0 -p1

%{__sed} -i -e '1 s,#!.*php,#!/usr/bin/php,' eventum-*-hook.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir}}
cp -p helpers.php $RPM_BUILD_ROOT%{_libdir}/eventum-scm-helpers.php
for a in eventum-*-hook.php; do
	f=${a%.php}
	install -p $a $RPM_BUILD_ROOT%{_sbindir}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md CHANGELOG.md
%attr(755,root,root) %{_sbindir}/eventum-cvs-hook
%attr(755,root,root) %{_sbindir}/eventum-git-hook
%attr(755,root,root) %{_sbindir}/eventum-svn-hook
%{_libdir}/eventum-scm-helpers.php
%changelog
* Tue Oct 20 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eventum-scm.git;a=log;h=master

* Tue Oct 20 2020 Elan Ruusamäe <glen@pld-linux.org> 1ef9ae0
- Up to 3.2.1

* Tue Jun 02 2020 Elan Ruusamäe <glen@pld-linux.org> 0ea3f11
- Use system php

* Tue Jun 02 2020 Elan Ruusamäe <glen@delfi.ee> 454487a
- Up to 3.2.0

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7277ed1
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Oct 24 2017 Elan Ruusamäe <glen@delfi.ee> 3604b6c
- up to 3.1.3

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> 26beff1
- up to 3.1.1

* Thu Apr 28 2016 Elan Ruusamäe <glen@delfi.ee> c9bfd52
- up to 3.1.0 release

* Fri Apr 22 2016 Elan Ruusamäe <glen@delfi.ee> 9773cfb
- install doc

* Fri Apr 22 2016 Elan Ruusamäe <glen@delfi.ee> 059577b
- move helpers to libdir

* Fri Apr 22 2016 Elan Ruusamäe <glen@delfi.ee> 9527662
- up to a44a17d, config no longer used

* Fri Apr 22 2016 Elan Ruusamäe <glen@delfi.ee> 29625ec
- up to 3.1.0-dev

* Fri Apr 22 2016 Elan Ruusamäe <glen@delfi.ee> b58a242
- fix sysconfdir

* Tue Apr 19 2016 Elan Ruusamäe <glen@delfi.ee> 272cc98
- new, version 3.0.12

